SND_CTL_NOTIFY(9)

NAME
snd_ctl_notify - Send notification to user-space for a control change

SYNOPSIS

void snd_ctl_notify(struct snd_card * card, unsigned int mask, struct snd_ctl_elem_id * id);

ARGUMENTS

card
    the card to send notification

mask
    the event mask, SNDRV_CTL_EVENT_*

id
    the ctl element id to send notification

DESCRIPTION

This function adds an event record with the given id and mask, appends to the list and wakes up the user-space for notification. This can be called in the atomic context.

COPYRIGHT